Bug 49547 - VIEWING: Some glyphs are inconsistent
Summary: VIEWING: Some glyphs are inconsistent
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 51827 (view as bug list)
Depends on:
Blocks: Formula-Editor Font-Rendering
  Show dependency treegraph
 
Reported: 2012-05-06 04:50 UTC by raving
Modified: 2019-01-16 11:16 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of some bad looking signs (6.15 KB, image/png)
2012-05-06 04:50 UTC, raving
Details
Example file to the Picture (5.54 KB, application/vnd.oasis.opendocument.formula)
2012-10-03 06:18 UTC, raving
Details
OpenSymbol font file that works on Win 8, too (45.07 KB, application/zip)
2015-01-20 15:47 UTC, Martin G.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raving 2012-05-06 04:50:17 UTC
Created attachment 61098 [details]
screenshot of some bad looking signs

Problem description: 

Steps to reproduce:
fresh installed Libreoffice

Current behavior: The signs "plus"(+), "toward" and i.e. leftarrow will appear in a different font than, say minus(-). They look thicker.

Platform (if different from the browser): Linux x86_64 and WinXP
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 leighman 2012-10-02 10:45:51 UTC
Please could you attach a file that demonstrates the problem.
Thanks.
Comment 2 raving 2012-10-03 06:18:49 UTC
Created attachment 68023 [details]
Example file to the Picture
Comment 3 leighman 2012-10-03 09:37:17 UTC
Confirmed in master e4080dc (1 Oct, 16.50)
Interestingly, but probably not usefully, not an issue in 3.3.
Something to do with font substitution?

Subscribing caolanm. Hope that is okay.
Comment 4 Roberto 2012-11-17 02:09:01 UTC
Hi, everybody.

Just informing that Bug 51827 is probably related to this bug report. Please, check it out.

Regards.

Roberto.
Comment 5 Cip 2013-01-27 15:06:10 UTC
The fix I found is to replace the Opensymbol font with the version supplied with LO 3.3.0. The reported versions of the old/new ttf are the same (102.2) but the size is different.
Tested with L.O 3.6.4.3 under Win7/64 and L.O 3.6.2.2 under Ubuntu 12.10/64.
For your convenience, here's the old version of the opensymbol font that fixed the issue: http://ge.tt/api/1/files/9lUZZdW/0/blob?download
Comment 6 raving 2013-01-27 15:45:46 UTC
Unfortunately it does not work for me. (LO 3.6.0.2 (Kubuntu 12.04))

(In reply to comment #5)
> The fix I found is to replace the Opensymbol font with the version supplied
> with LO 3.3.0. The reported versions of the old/new ttf are the same (102.2)
> but the size is different.
> Tested with L.O 3.6.4.3 under Win7/64 and L.O 3.6.2.2 under Ubuntu 12.10/64.
> For your convenience, here's the old version of the opensymbol font that
> fixed the issue: http://ge.tt/api/1/files/9lUZZdW/0/blob?download
Comment 7 Cip 2013-01-27 19:37:27 UTC
(In reply to comment #6)
> Unfortunately it does not work for me. (LO 3.6.0.2 (Kubuntu 12.04))
I installed Kubuntu 12.04.1/32 on a virtual machine.
Opened LO 3.5.4.2 that comes default, wrote an equation (x + y - z) => thick ugly "+". Saved file.
Replaced the current opensymbol font (it's in /usr/share/fonts/truetype/openoffice/) with the old one in the link above (with root privileges).
Rebooted.
Opened LO 3.5.4.2, opened previous file => nice thin "+". :)
Updated kubuntu. The LO remained same version.
Updated LO to 3.6.0.2. (p.i.t.a)
Overwrite opens__.ttf with the downloaded one to make sure.
Fired up LO 3.6.0.2 => nice looking "+".

You may want to try replacing the font again. It should work for you as well.
Comment 8 raving 2013-01-27 22:28:16 UTC
(In reply to comment #7)
> You may want to try replacing the font again. It should work for you as well.

Ok, now it works. Thanks. My mistake was that I just renamed and not delete the broken font file.
Comment 9 bfoman (inactive) 2013-01-28 12:13:01 UTC
*** Bug 51827 has been marked as a duplicate of this bug. ***
Comment 10 Doctor Rover 2013-03-28 10:59:02 UTC
Dear friends, I'm sorry for bothering, but this bug still exist in 4.0.1.
I would like to comment a bit the situation. Obviously, LO Writer is a promising tool for creation of scientific texts. But this bug prohibit almost totally Writer from using it as scientific text processor. Right now, the equations look terribly ugly!
I can not use LO and I can not recommend it to my colleagues as a primary tool to be used within our team. Because we need high-quality equation editor. And LO Math was such editor before this bug.
This bug is fairly old and I'm afraid that having 'low' importance status, it won't be fixed for a long time... To my mind, the bug is quite important.
So is there any chance for this bug to be fixed?
Comment 11 wsutcee 2013-03-30 19:50:42 UTC
(In reply to comment #10)
> Dear friends, I'm sorry for bothering, but this bug still exist in 4.0.1.
[...]
> So is there any chance for this bug to be fixed?

I have been using LO for generating lecture notes, homework assignments, etc. and have been struggling with this issue under Windows. Removing the currently installed opensymbol font and substituting the old version, as described above, fixed the problem. Control Panel => Fonts select OpenSymbolRegular, click delete. Download old font file, double click and click install. Back to nice looking equations.
Comment 12 Doctor Rover 2013-03-31 14:47:58 UTC
Dear wsutcee, thank you for your advice. Actually, I did the procedure described above long ago. I did it under Ubuntu and under Win, and it works for me. So many thanks to Cip for finding the workaround.
But I believe it's important that such things must be “from the box”. If LO claims to be “comprehensive, professional-quality productivity suite”, then the user should just install it and work, but not first-repair-then-work. So my desire is LO to be indeed the best office suite. But with annoying bugs like this, it's impossible :( And I am just amazed that nobody (I mean the developers) cares about this obvious and reproducible bug. And it's even more amazing if fixing is as simple as replacing the broken font by a correct one...
Comment 13 Owen Genat (retired) 2013-05-10 13:31:46 UTC
Alternate workaround is to use the notation:

x {"+"} y

...instead of the usual:

x + y

More examples regarding treatment of the various "minus" sign characters:
http://ask.libreoffice.org/en/question/15177/underbraces-and-overbraces/?answer=15806#post-id-15806

Also, minor point regarding the version of the OpenSymbol font. The statement "The reported versions of the old/new ttf are the same (102.2) but the size is different" in comment #5 does not appear to be correct. The old version of OpenSymbol shipped with LO v3.3.0.4 was v2.4.3 (c) 2010 Oracle. This is also the version provided in the link, whereas the current is v102.2 (c) 2009 Sun / (c) 2011 Julien Nabet / Olivier Hallot, and has been so since at least v3.5.x.
Comment 14 raving 2014-11-26 18:46:22 UTC
In the past I used the workaround to override the opens___.ttf with an older version. Every thing was perfect.
But now I have to use "lline" and this looks terrible.
With a new verion of opens___.ttf "lline" looks good, but "+" and "toward" look terrible.
And the workaround to use "+" instead of + doesn't work on "toward"....

So many workarounds ...  Why can't it be fixed (in over two years)?
Comment 15 Doctor Rover 2014-11-26 19:48:26 UTC
I confirm the problem with lline and rline when using the "old-font-workaround".
So, LO Math is still not able to produce publication-quality equations. It is very sad situation, since this means that LO Math is actually unworkable. Indeed, who needs a tool making text which cannot be published?.. Very sad and no hope after about three years of waiting...
I tried to raise this problem on the LO forum: http://en.libreofficeforum.org/node/7051  And I was told that we are on the edge of big changes... But another year passed and there's neither any apparent change in this direction, nor fix for this bug...
Of course, I understand well that LO is developed by volunteers and I am very grateful for the great work they do. And this makes the situation even more sad since nothing actually can be done... Meanwhile, the whole component of LO is unusable for several years... (((
Sorry for this expression of my upset. I don't mean to insult anybody.
Comment 16 Martin G. 2015-01-20 15:47:47 UTC
Created attachment 112556 [details]
OpenSymbol font file that works on Win 8, too

This font file is based on Version 1.7 of OpenSymbol but with updated glyphs (upright greek letters, +, arrows, <, > and =)
Comment 17 raving 2015-01-20 21:04:07 UTC
The attached font file (attachment 112556 [details]) causes problems i.e. with ldbracket, langle, lline and ldline.
So I would prefer the older one that only causes problems with lline and ldline.
Comment 18 Caolán McNamara 2015-01-21 09:32:48 UTC
Olivier or Frederic might have some ideas as the last two people that hacked on that font. (see extras/source/truetype/symbol/ for the source of the font and a README on bumping the version etc)
Comment 19 QA Administrators 2016-09-20 10:18:31 UTC Comment hidden (obsolete)
Comment 20 Doctor Rover 2016-09-20 23:06:30 UTC
The bug is still present.
LibreOffice 5.2.1.2
Win7 and Ubuntu 16.04

My sincere apology, but I would like to stress once again that the bug is critical. LO Math is useless if it cannot fulfil its main goal -- generation of publication-quality equations. And this is the case with this bug.
Comment 21 QA Administrators 2017-11-07 07:28:29 UTC Comment hidden (obsolete)
Comment 22 Vladislav Ivanistsev 2017-12-16 14:26:54 UTC
(In reply to Caolán McNamara from comment #18)
> Olivier or Frederic might have some ideas as the last two people that hacked
> on that font. (see extras/source/truetype/symbol/ for the source of the font
> and a README on bumping the version etc)

There is a simple hack that might temporarily solve the problem. Go to Tools > Options > Fonts (LibreOffice) and substitute OpenSymbol with your font.

I hope that the bug will be fixed.
Comment 23 Karsten 2019-01-16 11:16:51 UTC Comment hidden (obsolete)